Class | Tk::BLT::Busy::Shield
In: | tk/lib/tkextlib/blt/busy.rb
Parent: | TkWindow

### Methods

new shield_path

### Public Class methods

new(win)

[Source]

    # File tk/lib/tkextlib/blt/busy.rb, line 29
          def initialize(win)
            @path = self.class.shield_path(win)
          end

shield_path(win)

[Source]

    # File tk/lib/tkextlib/blt/busy.rb, line 20
          def self.shield_path(win)
            win = window(win) unless win.kind_of?(TkWindow)
            if win.kind_of?(TkToplevel)
              win.path + '._Busy'
            else
              win.path + '_Busy'
            end
          end

[Validate]